Mailinglist Archive: opensuse-buildservice (93 mails)

< Previous Next >
Re: [opensuse-buildservice] Ubuntu Next and Fedora Rawhide builds failing: missing libpcre2
On miércoles, 10 de julio de 2019 10:30:06 (CEST) Adrian Schröter wrote:
On Dienstag, 9. Juli 2019, 23:12:26 UTC Rosanne DiMesio wrote:
On Mon, 08 Jul 2019 17:45:26 +0000

Adrian Schröter <adrian@xxxxxxx> wrote:
https://build.opensuse.org/package/show/Emulators:Wine:Fedora/wine-dev
el

hm, that one is more questionable, it is provided by pcre2 and that one
is
also preinstalled in your build.

Sorry, no time to debug it atm, but everyone can using "osc build" and
tell me the solution :)

I believe the problem may be related to Fedora's planned switch to zstd
compression for its next release.
https://bugzilla.redhat.com/show_bug.cgi?id=1720729

My build log shows this:

[ 9s] [21/68] preinstalling pcre2...
[ 9s] bsdtar: Error opening archive: Can't initialize filter; unable to
run program "zstd -d -qq"

There are similar error messages for some of the other preinstalled
packages.

These should be fixed by yesterdays worker deployment.
(We need to have zstd executable on them now).

For x86_64 this is not a problem now, but it seems aarch64 and armv7l workers
do not have it yet:

https://build.opensuse.org/package/live_build_log/
systemsmanagement:Uyuni:Utils/python-rpmfile/Fedora_Rawhide/aarch64
https://build.opensuse.org/package/live_build_log/
systemsmanagement:Uyuni:Utils/python-rpmfile/Fedora_Rawhide/armv7l

(Builds were relaunched a few minutes ago).

--
Julio González Gil
Release Engineer, SUSE Manager and Uyuni
jgonzalez@xxxxxxxx
< Previous Next >
Follow Ups